Difference between revisions of "Template:Installation/Preparation/Ubuntu"

From diaspora* project wiki
Jump to: navigation, search
(I had to add universe to trusty-updates to get this list of apt-installs to work)
(Grammar optimization and style fixes)
Line 12: Line 12:
 
}}
 
}}
  
If you get package errors, you may need to add "universe" to /etc/apt/sources.list after the entry for trusty-updates.
+
If you receive errors about packages that could not be found, make sure that <tt>universe</tt> is enabled in <tt>/etc/apt/sources.list</tt> after the entry for <tt>trusty-updates</tt>.
  
 
=== Install the database ===
 
=== Install the database ===

Revision as of 15:31, 13 April 2018

Install packages

Run:

sudo apt-get update
sudo apt-get install build-essential git curl imagemagick libmagickwand-dev nodejs redis-server libssl-dev libcurl4-openssl-dev libxml2-dev libxslt1-dev libgmp-dev


If you receive errors about packages that could not be found, make sure that universe is enabled in /etc/apt/sources.list after the entry for trusty-updates.

Install the database

Skip this step if you already have one.

See the Ubuntu server guide.

Removing packaged version of RVM

If you installed RVM via the package manager, we recommend to remove it. See this StackOverflow answer for some tips on how to do that and then continue with the installation instructions below.